%define module	selenium
%define name	python-%{module}
%define version 2.35.0
%define release %mkrel 3

Summary:	Python bindings for Selenium
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
License:	Apache License
Group:		Development/Python
Url:		http://pypi.python.org/pypi/selenium
Requires:	python-rdflib >= 3.1.0
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
ExclusiveArch:	%{ix86} x86_64

%description
Selenium Python Client Driver is a Python language binding for
Selenium Remote Control (version 1.0 and 2.0).

Currently the remote protocol, Firefox and Chrome for Selenium 2.0 are
supported, as well as the Selenium 1.0 bindings.

%package -n python3-%{module}
Summary:	Python 3 bindings for Selenium
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

%description -n python3-%{module}
Selenium Python 3 Client Driver is a Python 3 language binding for
Selenium Remote Control (version 1.0 and 2.0).

%prep
%setup -q -n %{module}-%{version}
rm -rf %{module}.egg-info
cp -a . %{py3dir} 

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install \
	--root=%{buildroot} \
	--install-lib=%{python3_sitearch} \
	--install-data=%{python3_sitearch}

%if "%{_lib}" == "lib64"
rm -f %{buildroot}%{python3_sitearch}/selenium/webdriver/firefox/x86/x_ignore_nofocus.so
%else
rm -f %{buildroot}%{python3_sitearch}/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so
%endif
popd

%{__python} setup.py install \
	--root=%{buildroot} \
	--install-lib=%{python_sitearch} \
	--install-data=%{python_sitearch}

%if "%{_lib}" == "lib64"
rm -f %{buildroot}%{python_sitearch}/selenium/webdriver/firefox/x86/x_ignore_nofocus.so
%else
rm -f %{buildroot}%{python_sitearch}/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so
%endif

%files
%{python_sitearch}/*

%files -n python3-%{module}
%{python3_sitearch}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.35.0-3.mga4
+ Revision: 544243
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.35.0-2.mga4
+ Revision: 499345
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 16 2013 philippem <philippem> 2.35.0-1.mga4
+ Revision: 466957
- update to 2.35.0, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.28.0-2.mga3
+ Revision: 379483
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 philippem <philippem> 2.28.0-1.mga3
+ Revision: 334925
- Update to 2.28.0

* Sun Dec 04 2011 dmorgan <dmorgan> 2.14.0-4.mga2
+ Revision: 176606
+ rebuild (emptylog)

* Sat Dec 03 2011 fwang <fwang> 2.14.0-3.mga2
+ Revision: 175408
- finally kill wrong arch-dependent files

* Sat Dec 03 2011 fwang <fwang> 2.14.0-2.mga2
+ Revision: 175333
- should not be noarch pacakage

* Wed Nov 30 2011 lebedov <lebedov> 2.14.0-1.mga2
+ Revision: 174430
- Update to 2.14.0.

* Sun Oct 30 2011 lebedov <lebedov> 2.11.1-1.mga2
+ Revision: 159910
- Update to 2.11.1.

* Thu Oct 06 2011 lebedov <lebedov> 2.8.1-1.mga2
+ Revision: 152494
- Update to 2.8.1.

* Mon Sep 26 2011 lebedov <lebedov> 2.7.0-1.mga2
+ Revision: 148818
- Update to 2.7.0.

* Tue Sep 20 2011 lebedov <lebedov> 2.6.0-1.mga2
+ Revision: 146171
- imported package python-selenium

